### Enumeration

# FwupdPlugin ArchiveFormat

#### Declaration

    enum FwupdPlugin.ArchiveFormat

#### Description

No description available.

#### Members

`FU_ARCHIVE_FORMAT_UNKNOWN`

  No description available.

  - Value: `0`
  - Available since: 1.0
`FU_ARCHIVE_FORMAT_CPIO`

  No description available.

  - Value: `1`
  - Available since: 1.0
`FU_ARCHIVE_FORMAT_SHAR`

  No description available.

  - Value: `2`
  - Available since: 1.0
`FU_ARCHIVE_FORMAT_TAR`

  No description available.

  - Value: `3`
  - Available since: 1.0
`FU_ARCHIVE_FORMAT_USTAR`

  No description available.

  - Value: `4`
  - Available since: 1.0
`FU_ARCHIVE_FORMAT_PAX`

  No description available.

  - Value: `5`
  - Available since: 1.0
`FU_ARCHIVE_FORMAT_GNUTAR`

  No description available.

  - Value: `6`
  - Available since: 1.0
`FU_ARCHIVE_FORMAT_ISO9660`

  No description available.

  - Value: `7`
  - Available since: 1.0
`FU_ARCHIVE_FORMAT_ZIP`

  No description available.

  - Value: `8`
  - Available since: 1.0
`FU_ARCHIVE_FORMAT_AR`

  No description available.

  - Value: `9`
  - Available since: 1.0
`FU_ARCHIVE_FORMAT_AR_SVR4`

  No description available.

  - Value: `10`
  - Available since: 1.0
`FU_ARCHIVE_FORMAT_MTREE`

  No description available.

  - Value: `11`
  - Available since: 1.0
`FU_ARCHIVE_FORMAT_RAW`

  No description available.

  - Value: `12`
  - Available since: 1.0
`FU_ARCHIVE_FORMAT_XAR`

  No description available.

  - Value: `13`
  - Available since: 1.0
`FU_ARCHIVE_FORMAT_7ZIP`

  No description available.

  - Value: `14`
  - Available since: 1.0
`FU_ARCHIVE_FORMAT_WARC`

  No description available.

  - Value: `15`
  - Available since: 1.0